be.fgov.ehealth.dics.protocol.v4

## Class ConsultNonMedicinalProductType

- java.lang.Object
- - be.fgov.ehealth.dics.protocol.v4.ConsultNonMedicinalProductType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:12:07+01:00",
                 comments="JAXB RI v2.2.11")
      public class ConsultNonMedicinalProductType
      extends Object
      implements Serializable

  Java class for ConsultNonMedicinalProductType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ConsultNonMedicinalProductType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Name" type="{urn:be:fgov:ehealth:dics:protocol:v4}ConsultTextType"/>
               <element name="Category">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <enumeration value="S"/>
                     <enumeration value="H"/>
                     <enumeration value="D"/>
                     <enumeration value="C"/>
                     <enumeration value="E"/>
                     <enumeration value="M"/>
                     <enumeration value="B"/>
                     <enumeration value="I"/>
                     <enumeration value="A"/>
                     <enumeration value="R"/>
                     <enumeration value="F"/>
                     <enumeration value="G"/>
                     <enumeration value="O"/>
                     <enumeration value="T"/>
                     <enumeration value="K"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="CommercialStatus">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <enumeration value="M"/>
                     <enumeration value="S"/>
                     <enumeration value="I"/>
                     <enumeration value="O"/>
                     <enumeration value="U"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="Producer" type="{urn:be:fgov:ehealth:dics:protocol:v4}ConsultTextType"/>
               <element name="Distributor" type="{urn:be:fgov:ehealth:dics:protocol:v4}ConsultTextType" minOccurs="0"/>
             </sequence>
             <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v4}validityPeriod"/>
             <attribute name="Code" use="required" type="{urn:be:fgov:ehealth:dics:core:v4:core}DmppCodeType" />
             <attribute name="CodeType" type="{urn:be:fgov:ehealth:dics:core:v4:core}DmppCodeTypeType" default="CNK" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsultNonMedicinalProductType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCategory()` Gets the value of the category property.
    `String` | `getCode()` Gets the value of the code property.
    `String` | `getCodeType()` Gets the value of the codeType property.
    `String` | `getCommercialStatus()` Gets the value of the commercialStatus property.
    `ConsultTextType` | `getDistributor()` Gets the value of the distributor property.
    `org.joda.time.DateTime` | `getEndDate()` Gets the value of the endDate property.
    `ConsultTextType` | `getName()` Gets the value of the name property.
    `ConsultTextType` | `getProducer()` Gets the value of the producer property.
    `org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
    `void` | `setCategory(String value)` Sets the value of the category property.
    `void` | `setCode(String value)` Sets the value of the code property.
    `void` | `setCodeType(String value)` Sets the value of the codeType property.
    `void` | `setCommercialStatus(String value)` Sets the value of the commercialStatus property.
    `void` | `setDistributor(ConsultTextType value)` Sets the value of the distributor property.
    `void` | `setEndDate(org.joda.time.DateTime value)` Sets the value of the endDate property.
    `void` | `setName(ConsultTextType value)` Sets the value of the name property.
    `void` | `setProducer(ConsultTextType value)` Sets the value of the producer property.
    `void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsultNonMedicinalProductType

          public ConsultNonMedicinalProductType()

  - ### Method Detail

    - #### getName

          public ConsultTextType getName()

      Gets the value of the name property.
      Returns:
        possible object is `ConsultTextType`

    - #### setName

          public void setName(ConsultTextType value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `ConsultTextType`

    - #### getCategory

          public String getCategory()

      Gets the value of the category property.
      Returns:
        possible object is `String`

    - #### setCategory

          public void setCategory(String value)

      Sets the value of the category property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCommercialStatus

          public String getCommercialStatus()

      Gets the value of the commercialStatus property.
      Returns:
        possible object is `String`

    - #### setCommercialStatus

          public void setCommercialStatus(String value)

      Sets the value of the commercialStatus property.
      Parameters:
        `value` - allowed object is `String`

    - #### getProducer

          public ConsultTextType getProducer()

      Gets the value of the producer property.
      Returns:
        possible object is `ConsultTextType`

    - #### setProducer

          public void setProducer(ConsultTextType value)

      Sets the value of the producer property.
      Parameters:
        `value` - allowed object is `ConsultTextType`

    - #### getDistributor

          public ConsultTextType getDistributor()

      Gets the value of the distributor property.
      Returns:
        possible object is `ConsultTextType`

    - #### setDistributor

          public void setDistributor(ConsultTextType value)

      Sets the value of the distributor property.
      Parameters:
        `value` - allowed object is `ConsultTextType`

    - #### getCode

          public String getCode()

      Gets the value of the code property.
      Returns:
        possible object is `String`

    - #### setCode

          public void setCode(String value)

      Sets the value of the code property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodeType

          public String getCodeType()

      Gets the value of the codeType property.
      Returns:
        possible object is `String`

    - #### setCodeType

          public void setCodeType(String value)

      Sets the value of the codeType property.
      Parameters:
        `value` - allowed object is `String`

    - #### getStartDate

          public org.joda.time.DateTime getStartDate()

      Gets the value of the startDate property.
      Returns:
        possible object is `String`

    - #### setStartDate

          public void setStartDate(org.joda.time.DateTime value)

      Sets the value of the startDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getEndDate

          public org.joda.time.DateTime getEndDate()

      Gets the value of the endDate property.
      Returns:
        possible object is `String`

    - #### setEndDate

          public void setEndDate(org.joda.time.DateTime value)

      Sets the value of the endDate property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSPODOLOGIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.